#ifndef ALGORHYTHMS_LOADED
#define ALGORHYTHMS_LOADED 1
/* AlgoRhythms.h */
#define MAXVOICE (20)

typedef struct note_event NOTE_EVENT_TYPE;
struct note_event
{
    struct timeval nv_r_start_time,
                   nv_r_duration,
                   nv_r_stop_time;
    int nv_i_scale_index,
        nv_i_dynamic,
        nv_i_channel,
        nv_i_cur_pitch,
        nv_i_low_pitch,
        nv_i_high_pitch,
        nv_i_walking,
        nv_i_playing,
        nv_i_audio,
        nv_i_id,
        nv_i_audio_chan,
        nv_i_was_audio;
};

typedef struct parameter_struct PARAMETER_TYPE;
struct parameter_struct
{
    double  prm_d_mean_cycle,
            prm_d_mean_phase,
            prm_d_range_cycle,
            prm_d_range_phase;
};

typedef struct form_struct FORM_TYPE;
struct form_struct
{
    PARAMETER_TYPE  frm_s_pitch,
                    frm_s_rhythm,
                    frm_s_dynamic,
                    frm_s_texture;
};

typedef struct note_len_struct NOTE_LEN_TYPE;
struct note_len_struct
{
    unsigned int    len_i_min,
                    len_i_max,
                    len_i_dif;
};

extern int gi_fubar;
extern int gi_quit;

#ifdef MEASURE
extern unsigned int gi_notes_measure;
#endif

extern void randomize_parameter(PARAMETER_TYPE *);

#endif
