#ifndef SCALE_LIST_LOADED
#define SCALE_LIST_LOADED 1
/* scale_list.h */

#define C_SCALE_QTY 21

#define SCALE_1_NAME "Pentatonic"
#define SCALE_1_OCT 1
#define SCALE_1_NOTES {0, 2, 4, 7, 9}
#define SCALE_1_LEN  5

#define SCALE_2_NAME "Short Pentatonic"
#define SCALE_2_OCT 0
#define SCALE_2_NOTES {48, 50, 53, 55, 58, 60, 62, 65, 67, 70, 72, 74, 77}
#define SCALE_2_LEN  13

#define SCALE_3_NAME "Harmonic"
#define SCALE_3_OCT 0
#define SCALE_3_NOTES {24, 36, 43, 43, 48, 52, 55, 58, 60, 62, 64, 66, \
67, 69, 71, 36, 72, 24}
#define SCALE_3_LEN 18

#define SCALE_4_NAME "Diatonic"
#define SCALE_4_OCT 1
#define SCALE_4_NOTES {0, 2, 4, 5, 7, 9, 11}
#define SCALE_4_LEN 7

#define SCALE_5_NAME "hira joshi"
#define SCALE_5_OCT 0
#define SCALE_5_NOTES  {57, 59, 60, 64, 65, 69, 71, 72, 76, 77, 81, 83}
#define SCALE_5_LEN 12

#define SCALE_6_NAME "kumoi joshi"
#define SCALE_6_OCT 0
#define SCALE_6_NOTES {57, 58, 62, 64, 65, 69, 70, 74, 76, 77, 81, 83}
#define SCALE_6_LEN 12

#define SCALE_7_NAME "kokin joshi"
#define SCALE_7_OCT 0
#define SCALE_7_NOTES {59, 62, 64, 65, 69, 71, 74, 76, 77, 81, 83}   
#define SCALE_7_LEN 11

#define SCALE_8_NAME "Whole tone"
#define SCALE_8_OCT 1
#define SCALE_8_NOTES {0, 2, 4, 6, 8, 10}
#define SCALE_8_LEN 6

#define SCALE_9_NAME "Quintal"
#define SCALE_9_OCT 0
#define SCALE_9_NOTES {12, 19, 26, 33, 40, 47, 54, 61, 68, 75, 82, 89, \
96, 103}
#define SCALE_9_LEN 14

#define SCALE_10_NAME "Minor 3 Major 2"
#define SCALE_10_OCT 0
#define SCALE_10_NOTES {24, 26, 29, 31, 34, 36, 39, 41, 44, 46, 49, 51, \
54, 56, 59, 61, 64, 66, 69, 71, 74, 76, 79, 81, 84, 86, 89, 91, 94, 96}
#define SCALE_10_LEN 30

#define SCALE_11_NAME "Harmonic Minor"
#define SCALE_11_OCT 1
#define SCALE_11_NOTES {0, 2, 3, 5, 7, 8, 11}
#define SCALE_11_LEN 7

#define SCALE_12_NAME "Hungarian Minor"
#define SCALE_12_OCT 1
#define SCALE_12_NOTES {0, 2, 3, 6, 7, 8, 11}
#define SCALE_12_LEN 7

#define SCALE_13_NAME "Diminished"
#define SCALE_13_OCT 1
#define SCALE_13_NOTES {0, 2, 3, 5, 6, 8, 9, 11}
#define SCALE_13_LEN 8

/*
** The following 5 modes are from Olivier Messiean's My Musical Language.
*/
#define SCALE_14_NAME "Mode 3"
#define SCALE_14_OCT 1
#define SCALE_14_NOTES {0, 2, 3, 4, 6, 7, 8, 10, 11}
#define SCALE_14_LEN 9

#define SCALE_15_NAME "Mode 4"
#define SCALE_15_OCT 1
#define SCALE_15_NOTES {0, 1, 2, 5, 6, 7, 8, 11}
#define SCALE_15_LEN 8

#define SCALE_16_NAME "Mode 5"
#define SCALE_16_OCT 1
#define SCALE_16_NOTES {0, 1, 5, 6, 7, 11}
#define SCALE_16_LEN 6

#define SCALE_17_NAME "Mode 6"
#define SCALE_17_OCT 1
#define SCALE_17_NOTES {0, 2, 4, 5, 6, 8, 10, 11}
#define SCALE_17_LEN 8

#define SCALE_18_NAME "Mode 7"
#define SCALE_18_OCT 1
#define SCALE_18_NOTES {0, 1, 2, 3, 5, 6, 7, 8, 9, 11}
#define SCALE_18_LEN 10

#define SCALE_19_NAME "Quartal"
#define SCALE_19_OCT 0
#define SCALE_19_NOTES {12, 17, 23, 28, 33, 38, 43, 48, 53, 58, 63, 68, \
73, 78, 83, 88, 93, 98, 103, 108}
#define SCALE_19_LEN 20

#define SCALE_20_NAME "Major 3 Minor 2"
#define SCALE_20_OCT 0
#define SCALE_20_NOTES {24, 28, 29, 33, 34, 38, 39, 43, 44, 48, 49, 53, \
54, 58, 59, 63, 64, 68, 69, 73, 74, 78, 79, 83, 84, 88, 89, 93, 94}
#define SCALE_20_LEN 29

#define SCALE_21_NAME "Chromatic"
#define SCALE_21_OCT 1
#define SCALE_21_NOTES {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11} 
#define SCALE_21_LEN 12

#endif
